package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;

/**
 *
 * @author fpalma
 */
public class V9_7_To_V9_8
		implements siprp.update.Update
{
	
	public V9_7_To_V9_8()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{
		                    "Relacao postoDeTrabalho <-> risco"
		                    };
	}
	
	public double getStartVersion()
	{
		return 9.7;
	}
	
	public double getEndVersion()
	{
		return 9.8;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"create table hs_posto_risco(" +
					"		posto_id int4 REFERENCES hs_posto(id)," +
					"		risco_id int4 REFERENCES hs_risco(id)," +
					"		probabilidade int4," +
					"		severidade int4," +
					"		valor_qualitativo int4 REFERENCES hs_relatorio_risco_valor_qualitativo," +
					"		CONSTRAINT hs_posto_risco_pkey PRIMARY KEY(posto_id, risco_id)" +
					");" +
					"ALTER TABLE hs_relatorio_risco DROP COLUMN is_plano_actuacao;" +
					"ALTER TABLE hs_posto_risco ADD COLUMN is_plano_actuacao char(1);" +
					"insert into hs_relatorio_risco_valor_qualitativo (description) values('Controlado');" +
					"insert into hs_relatorio_risco_valor_qualitativo (description) values('Incontrolado');" +
					"insert into hs_relatorio_risco_valor_qualitativo (description) values('Indeterminado');"
		);
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
